Bulletin d'alerte Debian

DSA-2068-1 python-cjson -- Débordement de mémoire tampon

Date du rapport :
11 juillet 2010
Paquets concernés :
python-cjson
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 587700.
Dans le dictionnaire CVE du Mitre : CVE-2010-1666.
Plus de précisions :

Matt Giuca a découvert un débordement de mémoire tampon dans python-cjson, un décodeur et encodeur JSON rapide pour Python. Cela permet à un attaquant distant de provoquer un déni de service (plantage d'application) à l'aide d'un script Python contrefait pour l'occasion.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 1.0.5-1+lenny1.

Pour la distribution testing (Squeeze) et la distribution unstable (Sid), ce problème a été corrigé dans la version 1.0.5-3.

Nous vous recommandons de mettre à jour votre paquet python-cjson.

Corrigé dans :

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5.orig.tar.gz
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1.diff.gz
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1.dsc
Alpha:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_alpha.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_amd64.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_arm.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_armel.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_hppa.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_i386.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_ia64.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_mips.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_mipsel.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_powerpc.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_s390.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson_1.0.5-1+lenny1_sparc.deb
http://security.debian.org/pool/updates/main/p/python-cjson/python-cjson-dbg_1.0.5-1+lenny1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.